0
$\begingroup$

Rosanswers logo

Hi there,

I have groovy installed on my ubuntu 12.04. If i install standalone opencv without uninstalling opencv which is installed with groovy, would it be any problem?

Kindest regards Hossain


Originally posted by cognitiveRobot on ROS Answers with karma: 167 on 2013-11-05

Post score: 0

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

In this thread someone is having a trouble in using standlone library in non-ROS situation on Groovy (and it's not yet resolved on this forum).

I might be wrong (I'm in the middle of investigating how ROS installs OpenCV), but installing standalone version may not become an issue if you use OpenCV separately in ROS and non-ROS? As far as I've seen none of Groovy core packages that are related to OpenCV seem to depend on the standalone cv libraries.

$ apt-cache depends ros-groovy-opencv2
ros-groovy-opencv2
 |Depends: libavcodec53
  Depends: libavcodec-extra-53
 |Depends: libavformat53
  Depends: libavformat-extra-53
 |Depends: libavutil51
  Depends: libavutil-extra-51
  Depends: libc6
  Depends: libgcc1
  Depends: libglib2.0-0
  Depends: libgtk2.0-0
  Depends: libjasper1
  Depends: libjpeg8
  Depends: libpng12-0
  Depends: libpython2.7
  Depends: libstdc++6
 |Depends: libswscale2
  Depends: libswscale-extra-2
  Depends: libtiff4
  Depends: libv4l-0
  Depends: zlib1g
  Depends: ffmpeg
  Depends: libavcodec-dev
  Depends: libavformat-dev
  Depends: libavutil-dev
  Depends: libgtk2.0-dev
  Depends: libjasper-dev
  Depends: libjpeg-dev
    libjpeg-turbo8-dev
  Depends: libpng12-dev
  Depends: libswscale-dev
  Depends: libtiff4-dev
  Depends: libv4l-dev
  Depends: python-dev
  Depends: python-numpy
  Depends: python-support
  Depends: ros-groovy-catkin
  Depends: zlib1g-dev
  Conflicts: ros-groovy-opencv2:i386
$ dpkg -p ros-groovy-opencv2|grep Ver
Version: 2.4.6-1precise-20140305-1022-+0000
  Conflicts: ros-groovy-cv-bridge:i386
$ apt-cache depends ros-groovy-cv-bridge 
ros-groovy-cv-bridge
  Depends: libboost-python1.46.1
  Depends: libc6
  Depends: libgcc1
  Depends: libpython2.7
  Depends: libstdc++6
  Depends: ros-groovy-opencv2
  Depends: libboost-all-dev
  Depends: ros-groovy-rosconsole
  Depends: ros-groovy-sensor-msgs
  Conflicts: ros-groovy-cv-bridge:i386
$ apt-cache depends ros-groovy-vision-opencv 
ros-groovy-vision-opencv
  Depends: ros-groovy-cv-bridge
  Depends: ros-groovy-image-geometry
  Conflicts: ros-groovy-vision-opencv:i386

Originally posted by 130s with karma: 10937 on 2014-05-12

This answer was ACCEPTED on the original site

Post score: 0

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.